> For the complete documentation index, see [llms.txt](https://docs.iadvize.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iadvize.dev/use-cases/visitor-experience/authenticated-messaging/web-client-side-implementation/how-to-logout.md).

# How to logout?

When the visitor actively logouts from your website or their website session expires, you must also log them out of iAdvize. To do so, you can simply use `logout` like so:

```

iAdvizeInterface.push(async (iAdvize) => {
        await iAdvize.logout();
}) ;
```

The visitor won’t be able to start a new conversation until a new activation is performed.\
This is how you would log out then start the targeting engine, that could lead to a new conversation:

```
iAdvizeInterface.push(async (iAdvize) => {
        await iAdvize.logout();
        await iAdvize.activate(() => ({ authenticationOption: { type: 'ANONYMOUS' }}));
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iadvize.dev/use-cases/visitor-experience/authenticated-messaging/web-client-side-implementation/how-to-logout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
